package vo

import "wireguard-ui/global/constant"

// UserItem
// @description: 用户列表的数据
type UserItem struct {
	Id       string            `json:"id"`
	Account  string            `json:"account"`
	Nickname string            `json:"nickname"`
	Avatar   string            `json:"avatar"`
	Contact  string            `json:"contact"`
	IsAdmin  constant.UserType `json:"isAdmin"`
	Status   constant.Status   `json:"status"`
}

// User
// @description: 用户信息
type User struct {
	Id       string            `json:"id"`
	Account  string            `json:"account"`
	Password string            `json:"-"`
	Nickname string            `json:"nickname"`
	Avatar   string            `json:"avatar"`
	Contact  string            `json:"contact"`
	IsAdmin  constant.UserType `json:"isAdmin"`
	Status   constant.Status   `json:"status"`
}
